| Flutter macOS Embedder |

Classes | Typedefs | Functions
FlutterViewController.h File Reference
`#import <Cocoa/Cocoa.h>`
`#import "FlutterEngine.h"`
`#import "FlutterMacros.h"`
`#import "FlutterPlatformViews.h"`
`#import "FlutterPluginRegistrarMacOS.h"`

Go to the source code of this file.

## Classes
class | FlutterViewController

## Typedefs
typedef int64_t | FlutterViewIdentifier

## Functions
typedef | NS_ENUM (NSInteger, FlutterMouseTrackingMode)

## Typedef Documentation

## ◆ FlutterViewIdentifier

typedef int64_t FlutterViewIdentifier

A unique identifier for a view within which Flutter content is hosted.

Identifiers are guaranteed to be unique for views owned by a given engine but may collide for views owned by different engines.

Definition at line 21 of file FlutterViewController.h.

## Function Documentation

## ◆ NS_ENUM()

typedef NS_ENUM | ( | NSInteger | ,
|  | FlutterMouseTrackingMode |
| ) |  |

Values for the `mouseTrackingMode` property.

Definition at line 26 of file FlutterViewController.h.

26 {
27 // Hover events will never be sent to Flutter.
28 kFlutterMouseTrackingModeNone = 0,
29 // NOLINTNEXTLINE(readability-identifier-naming)
30 FlutterMouseTrackingModeNone __attribute__((deprecated)) = kFlutterMouseTrackingModeNone,
31
32 // Hover events will be sent to Flutter when the view is in the key window.
33 kFlutterMouseTrackingModeInKeyWindow = 1,
34 // NOLINTNEXTLINE(readability-identifier-naming)
35 FlutterMouseTrackingModeInKeyWindow
36 __attribute__((deprecated)) = kFlutterMouseTrackingModeInKeyWindow,
37
38 // Hover events will be sent to Flutter when the view is in the active app.
39 kFlutterMouseTrackingModeInActiveApp = 2,
40 // NOLINTNEXTLINE(readability-identifier-naming)
41 FlutterMouseTrackingModeInActiveApp
42 __attribute__((deprecated)) = kFlutterMouseTrackingModeInActiveApp,
43
44 // Hover events will be sent to Flutter regardless of window and app focus.
45 kFlutterMouseTrackingModeAlways = 3,
46 // NOLINTNEXTLINE(readability-identifier-naming)
47 FlutterMouseTrackingModeAlways __attribute__((deprecated)) = kFlutterMouseTrackingModeAlways,
48 };